<mat-horizontal-stepper [linear]="true" #stepper class="full-width-table blvss-container full-width-table-md full-width-table-xs">

    <!-- change default 'edit' icon -->
    <ng-template matStepperIcon="edit">
        <mat-icon>done</mat-icon>
    </ng-template>


    <!-- step 1: upload blue print step -->
    <mat-step [stepControl]="firstFormGroup" >
        <form [formGroup]="firstFormGroup">
            <ng-template matStepLabel>Upload Blueprint</ng-template>


            <!-- <div class="dropzone" appFileUploadDND (fileDropped)="onUploadedNab($event,$event)"> -->
            <div class="dropzone" id="dropzone1" [ngClass]="{'hiddenUpload':filesStep1.length > 0}" appFileUploadDND>
                <input #blueprintFile id="blueprintFile" type="file" formControlName="firstCtrl" onclick="this.value = null" (change)="onUploadedNab($event,blueprintFile.files)" required/>
                <img src="assets/images/fileUpload.png" alt="">
                <h3>Choose File or Drag & Drop</h3>
                <!-- <label for="blueprintFile">Choose File</label> -->
            </div>

            <div class="uploadLabelContainer" [ngClass]="{'hiddenUpload':filesStep1.length > 0}">
                <label for="blueprintFile" class="uploadBtn">Choose File</label>
            </div>


            <div class="files-list">
                <div class="single-file" *ngFor="let file of filesStep1; let i = index">
                  <img src="assets/images/ic-file.png" width="45px" alt="file">
                  <div class="info">
                    <h4 class="name">
                      {{ file?.name }}
                    </h4>
                    <p class="size">
                      {{ formatBytes(file?.size) }}
                    </p>
                    <app-progress [progress]="file?.progress"></app-progress>
                  </div>
                  <img src="assets/images/ic-delete-file.png" class="delete" width="20px" alt="file" (click)="deleteFile(i, 1)">
                </div>
              </div>

            <!-- <input #blueprintFile type="file" formControlName="firstCtrl" (change)="onUploadedNab($event,blueprintFile.files)" required/> -->

            <div class="margin-top">
                <button mat-raised-button matStepperNext class="margin-all nextBtn" [disabled]="!firstStepValid" id="firstNext">Next
                     <i class="fa fa-angle-right " aria-hidden="true"></i> </button>
            </div>
        </form>
    </mat-step>

    <!-- step 2 + 3 -->
    <div>
    <!-- step 2:Upload VNFs  -->
    <mat-step [stepControl]="secondFormGroup">
        <form [formGroup]="secondFormGroup" >
            <ng-template matStepLabel>Upload VNFs</ng-template>
            <!-- <mat-checkbox (change)="hideNextShowSubmit($event);" style="color: black;" >STATIC DEPLOYMENT</mat-checkbox> -->
            <br />&nbsp;<br />
            <!-- file uploader start -->
            <div class="dropzone" id="dropzone2" [ngClass]="{'hiddenUpload':filesStep2.length > 0}" appFileUploadDND>
                <input #vnfFiles id="vnfFiles" type="file" formControlName="secondCtrl" (change)="onUploadedVnf($event,vnfFiles.files)" />
                <img src="assets/images/fileUpload.png" alt="">
                <h3>Choose File or Drag & Drop</h3>
                <!-- <label for="vnfFiles">Choose File</label> -->
            </div>

            <div class="uploadLabelContainer" [ngClass]="{'hiddenUpload':filesStep2.length > 0}">
                <label for="vnfFiles" class="uploadBtn">Choose File</label>
            </div>


            <div class="files-list">
                <div class="single-file" *ngFor="let file of filesStep2; let i = index">
                  <img src="assets/images/ic-file.png" width="45px" alt="file">
                  <div class="info">
                    <h4 class="name">
                      {{ file?.name }}
                    </h4>
                    <p class="size">
                      {{ formatBytes(file?.size) }}
                    </p>
                    <app-progress [progress]="file?.progress"></app-progress>
                  </div>
                  <img src="assets/images/ic-delete-file.png" class="delete" width="20px" alt="file" (click)="deleteFile(i, 2)">
                </div>
              </div>

              <!-- file uploader end -->


            <!-- <input #vnfFiles id="uploadFile" type="file" formControlName="secondCtrl" (change)="onUploadedNsd($event,vnfFiles.files)" required/> -->


            <div class="margin-top">
                <button mat-raised-button matStepperPrevious color="primary" class="margin-all backBtn">
                    <i class="fa fa-angle-left " aria-hidden="true"></i>
                    Back</button>
               
                <!-- <button mat-raised-button matStepperNext color="primary" class="margin-all nextBtn" *ngIf="showNextBtn"
                 [disabled]="secondFormGroup.invalid" id="secondNext">Next
                 <i class="fa fa-angle-right " aria-hidden="true"></i></button> -->

                <button mat-raised-button color="accent" id="submitButton"
                 class="margin-all submitBtn" [disabled]="!secondStepValid" (click)="submitOnBoard()" id="secondNext">Submit</button>
                 <!-- class="margin-all submitBtn" (click)="createOnBoardingRequestWithoutNsds(blueprintFile.files);">Submit</button> -->
            </div>

        </form>
    </mat-step>


    </div>


</mat-horizontal-stepper>
